This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 145567 - RFE: magma_tool to diagnose magma environment
RFE: magma_tool to diagnose magma environment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: magma (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 14:56 EST by Adam "mantis" Manthei
Modified: 2009-04-16 16:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhcs4u2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 10:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2005-01-19 14:56:26 EST
Description of problem:
A tool for diagnosing magma's environment would be very beneficial
when troubleshooting.  One particular use case that we encountered
today was that magma was looking in
/usr/src/build/507093-x86_64/install/usr/lib64/magma  for the plugins
instead of /usr/lib64/magma.  This was a bug in the build system, but
it was difficult to debug without running strace on a program that
used magma (I used `strace /sbin/cpt lock`).  A diagnostic tool that
reported where it was looking for the plugins would have saved some time.

Additionaly, this tool could also be used to test the magma interfaces
much like cpt does today.  Infact, cpt would be adequate resolution to
this bug if it also was capable of providing more feedback as to the
state/configuration of the system (e.g. where the plugins directory
is).  If cpt is used, perhaps a more appropriate name should be used
that is consistent with the rest of the Cluster Suite program names
(e.g. magma_tool)

There should also be appropriate man pages describing this tool:


Version-Release number of selected component (if applicable):
Not available in magma-1.0-0.pre17.0.x86_64.rpm or earlier


Expected results:
Perhaps the output of the tool might look something like this:

# magma_tool plugins
Magma version: 1.2.3
plugins directory: /lib/magma
magma-plugins: magma_gulm.so magma_sm.so magma_xxx.so

# magma_tool test
Connected via: GuLM Plugin v1.0
Comment 1 Lon Hohberger 2005-01-19 16:00:10 EST
Adding a plugin list would require adding APIs to magma.  These APIs
would not be of the mainline magma-stuff.  Instead, they'd simply be
debugging functions which would be called by cpt (which would now be
called magma_tool).
Comment 2 Lon Hohberger 2005-01-28 14:56:45 EST
Added magma_tool and magma_tool manpage with all the aforementioned
features, including ability to enable/disable plugins from the command
line. (just does chmod, really).

Note You need to log in before you can comment on or make changes to this bug.